### Hierarchy

- IEmitter
  - IGridEvents
  - ITracking
  - IGridHeadingCellResizing
  - IGridHeadingCell
  - IGridScrollbars
  - IAuthService
  - IPageProvider
  - IPageRangesCollection
  - IPageService
  - IPdf
  - IGridCell
  - IActions

### Implemented by

- Actions
- Api
- Auth
- Clipboard
- Emitter
- Functions
- GridCell
- GridEvents
- GridHeadingCell
- GridScrollbars
- IApiService
- Page
- Pdf
- PdfLink
- ProviderREST
- ProviderSocket
- Ranges
- Tracking

## Index

### Properties

- emit
- off
- on
- register
- unRegister

### Methods

- removeEvent
- removeEvents

## Properties

### emit

emit: function

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### off

off: function

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### unRegister

unRegister: function

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### removeEvent

- removeEvent(): void

- - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc